package chess4j.board.directions;

import chess4j.board.Square;

public class South extends Direction {

	private static South INSTANCE = new South();
	
	private South() {		
	}

	@Override
	public Square next(Square sq) {
		return Square.valueOf(sq.file(), sq.rank().south());
	}
	
	public static South getInstance() {
		return INSTANCE;
	}
}
